Subject: bug#73355: 29.4; eglot-rename reports success when it shouldn't

From: João Távora <[email-masked]>
Date: Sat, 21 Sep 2024 12:43:32 +0100

I have this some version of this server somewhere, maybe I can reproduce,
but as always better to follow the instructions in the manual
https://joaotavora.github.io/eglot/#Troubleshooting-Eglot and give the
remaining items of a full MRE.

It's possible Eglot is just successfully applying 0 edits.

João